#version 130

precision mediump float;

in vec4 world_position;

out vec4 fragColor;

void main()
{
	float depth = world_position.z/world_position.w;

	depth = depth * 0.5 + 0.5;

	float moment1 = depth;

	float dx = dFdx(depth);
	float dy = dFdy(depth);

	float moment2 = depth*depth + 0.25*(dx*dx + dy*dy) ;
	
	fragColor = vec4(moment1, moment2, 0.0, 0.0);
}
