#version 130

uniform sampler2D texture0;

in vec2 texCoord0;

out vec4 fragColor;

void main(void) {
	vec4 outColor = texture2D(texture0, texCoord0.st);
	
	//ignore
	if (outColor.rgb == vec3(0.0, 0.0, 0.0)) {
		discard;
	}
	
	fragColor = vec4(0.5, 0.0, 0.0, 0.0);
}
