#version 130

precision mediump float;

uniform mat4 pvm_light;

in vec4 vertex;
in vec4 color;

out vec4 frag_color;
out vec4 shadowCoord;
out vec3 world_normal;
out vec4 world_position;

void main()
{
	gl_Position = pvm_light * vertex;

	frag_color = color;
}
